Skip to content
Home

Kling V3 - Text to Video

kling-v3-t2v

Kirin V3 text-to-video generation interface, supports multi-shot video generation and sound synthesis.

POST /v1/queue/kling-v3-t2v # Create task
GET /v1/queue/kling-v3-t2v/requests/{request_id}/status # Check status
GET /v1/queue/kling-v3-t2v/requests/{request_id}/response # Get result
PUT /v1/queue/kling-v3-t2v/requests/{request_id}/cancel # Cancel task
Окно терминала
curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v3-t2v' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--location \
--data-raw '{
"prompt": "A cinematic drone shot over a misty mountain range at sunrise",
"negative_prompt": "blurry, low quality, distorted",
"sound": "on",
"cfg_scale": 0.5,
"mode": "std"
}'
multi_shot boolean

Whether to generate multi-shot video

When this parameter is true, the prompt parameter is invalid

When this parameter is false, the shot_type and multi_prompt parameters are invalid

Default: false

shot_type string

Shot type

When multi_shot parameter is true, this parameter is required

Options: customize

prompt string

Video generation prompt, can include positive and negative descriptions

Max 2500 characters

When multi_shot parameter is false, this parameter cannot be empty

multi_prompt array

Multi-shot prompts, can include positive and negative descriptions

Define shot sequence and corresponding prompts and durations via index, prompt, duration parameters:

- Supports up to 6 shots, minimum 1 shot

- Max length of each shot-related content does not exceed 512

- Duration of each shot is not greater than the total duration of the current task, and not less than 1

- Sum of durations of all shots equals the total duration of the current task

Format as key:value pairs:

"multi_prompt": [

{

"index": int,

"prompt": "string",

"duration": "5"

},

{

"index": int,

"prompt": "string",

"duration": "5"

}

]

When multi_shot parameter is true and shot_type parameter is customize, this parameter cannot be empty

negative_prompt string

Negative text prompt

It is recommended to add negative prompt information directly in the positive prompt through negative sentences

Max 2500 characters

sound string

Whether to generate sound when generating video

Only V2.6 and later model versions support this parameter

Options: on, off

Default: off

mode string

Video generation mode

std: Standard mode (standard), basic mode, generates 720P video, cost-effective

pro: Professional mode (high quality), high performance mode, generates 1080P video, better video quality

Options: std, pro

Default: std

aspect_ratio string

Video aspect ratio (width:height)

Options: 16:9, 9:16, 1:1

Default: 16:9

duration string

Video duration in seconds

Options: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15

Default: 5

watermark_info array

Whether to generate results with watermarks simultaneously

Defined via the enabled parameter, specific format as follows:

"watermark_info": {

"enabled": boolean // true for generation, false for no generation

}

Custom watermarks are not currently supported

callback_url string

Callback notification address for this task result. If configured, the server will actively notify when the task status changes

external_task_id string

Custom task ID

User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID

Please note that uniqueness must be ensured under a single user

{
"request_id": "task_01hxyz...",
"response_url": "https://odirouter.ai/model/v1/queue/kling-v3-t2v/requests/task_01hxyz.../response",
"status_url": "https://odirouter.ai/model/v1/queue/kling-v3-t2v/requests/task_01hxyz.../status",
"cancel_url": "https://odirouter.ai/model/v1/queue/kling-v3-t2v/requests/task_01hxyz.../cancel",
"queue_position": 0
}
FieldTypeDescription
request_idstringTask ID used for all follow-up operations.
response_urlstringURL to fetch the final result.
status_urlstringURL to query task status.
cancel_urlstringURL to cancel the task.
queue_positionintCurrent queue position.